/*
 * Copyright 2013 by Kappich Systemberatung Aachen
 * 
 * This file is part of de.bsvrz.dav.daf.
 * 
 * de.bsvrz.dav.daf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.dav.daf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with de.bsvrz.dav.daf; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package de.bsvrz.dav.daf.communication.dataRepresentation;

/**
 * Dieses Interface markiert Daten-Arrays, die das Setzen von Lngen auerhalb der eigentlich erlaubten Bereichen untersttzen.
 * Dies wird bentigt, damit Deserialisierer von Daten bei unversionierten Datenmodellnderungen den empfangenen, im lokalen
 * Datenmodell eigentlich ungltigen, Datensatz korrekt deserialisieren knnen.
 *
 * @author Kappich Systemberatung
 * @version $Revision: 11583 $
 */
public interface ArrayRelaxedRangeCheckSupport {

	/**
	 * Setzt die Lnge eines Daten-Arrays mit gelockerter Bereichsprfung und ohne Initialisierung der Werte. Diese Methode ist unsicher,
	 * und sollte nur verwendet werden, wenn es notwendig ist und die Konsequenzen bekannt sind. Es knnen ungltige Datenstze entstehen.
	 * @param newLength neue Arraylnge
	 */
	void setLengthRelaxedRangeCheck(int newLength);
}
